package com.yc.ship.module.otc.service.link;


import com.yc.ship.module.otc.controller.admin.link.detail.LinkDetailSaveReqVO;
import com.yc.ship.module.otc.dal.dataobject.link.LinkDetailDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 链接扩展明细 Service 接口
 *
 * @author 管理员
 */
public interface LinkDetailService {

    /**
     * 创建链接扩展明细
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLinkDetail(@Valid LinkDetailSaveReqVO createReqVO);

    /**
     * 更新链接扩展明细
     *
     * @param updateReqVO 更新信息
     */
    void updateLinkDetail(@Valid LinkDetailSaveReqVO updateReqVO);

    /**
     * 删除链接扩展明细
     *
     * @param id 编号
     */
    void deleteLinkDetail(Long id);

    /**
     * 根据链接ID删除链接扩展明细
     *
     * @param linkId 编号
     */
    void deleteLinkDetailByLinkId(Long linkId);

    /**
     * 获得链接扩展明细
     *
     * @param id 编号
     * @return 链接扩展明细
     */
    LinkDetailDO getLinkDetail(Long id);

    /**
     * 根据链接ID查询所有链接扩展明细
     * @param linkId
     * @return
     */
    List<LinkDetailDO> getLinkDetailByLinkId(Long linkId);

}
